API for Algorithm Applications
This page contains description of algorithms applications management via API.
What can you do?
List available applications
List applications
Authorizations
AuthorizationstringRequired
Authenticate using SaaS Private token
Path parameters
company_idstring · uuidRequired
Query parameters
orderingstringOptional
Which field to use when ordering the results.
qstringOptional
A search term.
pageintegerOptional
A page number within the paginated result set.
page_sizeintegerOptional
Number of results to return per page.
Responses
200Success
application/json
countintegerRequiredExample:
123nextstring · uri · nullableOptionalExample:
http://api.example.org/accounts/?page=4previousstring · uri · nullableOptionalExample:
http://api.example.org/accounts/?page=2get
/api/v1/companies/{company_id}/applications/200Success
Attach algorithms application to dataset
Attach algorithms application to dataset
Authorizations
AuthorizationstringRequired
Authenticate using SaaS Private token
Path parameters
company_idstring · uuidRequired
tech_namestringRequiredPattern:
^[\w.]+$Query parameters
resolve_dependenciesbooleanOptionalDefault:
Automatically attach required applications to dataset as well
falseBody
Serializer to get dataset id from urls.
dataset_idstring · uuidRequired
dataset id
enabled_algorithmsstring[]Required
algorithms_flagsobject · nullableOptional
Responses
200Success
application/json
idstring · uuidRequired
application run id
dataset_idstring · uuidRead-onlyRequired
company_idstring · uuidRead-onlyRequired
application_idstring · uuidRead-onlyRequired
creation_timestring · date-timeRead-onlyRequired
application_namestringRequired
application name
application_tech_namestringRequired
application tech name
algorithms_flagsanyOptional
400Error
application/json
post
/api/v1/companies/{company_id}/applications/{tech_name}/attach-to-dataset/Example: Attaching Face Skin Metrics 2.0
Applications dependencies
Example Error Response:
Which Method to Use?
Example Workflow:
Detach algorithms applications
Reattach algorithms applications
Enable/disable algorithms for attached algorithms applications
Last updated
Was this helpful?